Subject: bug#23144: shrinking windows with gtk 3.20

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 May 2016 18:53:44 +0300

> From: Paul Eggert <[email-masked]>
> Cc: Matthias Clasen <[email-masked]>, Eli Zaretskii
>  <[email-masked]>, [email-masked]
> Date: Sun, 15 May 2016 23:53:07 -0700
> 
> As I understand it, the current version (3.20.4) of Gtk+ incorporates the
> cleanup patch
> <https://git.gnome.org/browse/gtk+/commit/?id=67ab00e01ec06d7b05a82c3d80b235ac6c4abfd2>
> that causes the problem with Emacs 25 that Matthias noted in
> <http://bugs.gnu.org/23144>. I haven't tested this, though.
> 
> As the bug was fixed in the Emacs master branch early last month
> <http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=afc9e6542aa6f2d0d7986db3d8c2cb654e107443>,
> and nobody has seemed to complain, I'm becoming more inclined to cherry-pick the
> fix into the emacs-25 branch.

Or we could reject GTK+ 3.20.4 and later for Emacs 25.1 at configure
time.  I have no idea which alternative is better.  (And no, lack of
complaints doesn't seem to be a good enough indicator: look at the
number of serious problems with emacs-25 which are only now starting
to be reported.  It sounds like only pretest releases are used widely
enough to catch some configurations.)

> I'm by no means an expert in this area, but it does seem to be a
> looming problem if we continue to do nothing.

We don't have experts available, it seems.  We have no idea what we
are doing with these changes.  I hoped the GTK people will be
motivated enough to help us out, but it doesn't look like it's
happening, sigh.